Skip to content

Model Repository List

GET
/serving/model/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/model/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successfully retrieved model access key and storage details

Media typeapplication/json
object
code
integer
message
string
data
Array<object>
object
id
integer
name
string
project_id
integer
description
string
nullable
model_type
string
storage_type
string
status
string
access_key
object
id
integer
access_key
string
secret_key
string
tag
string
is_managed
boolean
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
finetuning_id
string
nullable
score
object
errors
object

Example

{
"code": 200,
"message": "Success",
"data": [
{
"id": 1243,
"name": "adahfihhhhhh",
"project_id": 124,
"description": null,
"model_type": "pytorch",
"storage_type": "managed",
"status": "OK",
"access_key": {
"id": 2535,
"access_key": "6AAYVBO46X8N1V3VGY81",
"secret_key": "M5GDFOSIH5H5SWUK8FC2ELD8Y07H47OGQQM13IYT",
"tag": "akgpued8b358bcb6a4d9d94255d3092f4b8b4",
"is_managed": true
},
"bucket": {
"id": 2518,
"bucket_name": "adahfihhhhhh-a64d9e",
"bucket_url": "s3://adahfihhhhhh-a64d9e/",
"endpoint": "https://objectstore.e2enetworks.net",
"is_managed": true,
"eos_bucket_permission_id": 10204
},
"created_by": {
"id": 3573,
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com",
"username": "nipun.arora@e2enetworks.com"
},
"created_at": "2024-11-14T09:42:01.554549Z",
"updated_at": "2024-11-14T09:42:01.554608Z",
"finetuning_id": null,
"score": {}
}
],
"errors": {}
}